config/publish

POST/config/publish

Publish a draft configuration as the live config. Requires the configuration:write permission. The draft is validated with the same publish-time checks used by the CloudX app before it becomes live.

Request

cURL
curl -X POST "https://provisioning.cloudx.io/api/v1/config/publish" \
  -H "Authorization: Bearer $CLOUDX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"draft_id":"<string>","version_label":"<string>"}'

Body

FieldTypeDescription
draft_idrequiredstringDraft config row ID to publish as live.
version_labelstringOptional label for the published config version.

Responses

Published config now serving as live.
{
  "config_id": "<string>",
  "version_number": 123,
  "validation": {
    "valid": true,
    "error_count": 123,
    "warning_count": 123,
    "issues": [
      {
        "code": "<string>",
        "path": "<string>",
        "message": "<string>",
        "severity": "error",
        "line": 123,
        "column": 123,
        "length": 123
      }
    ],
    "yaml": "<string>",
    "source": {
      "type": "<string>",
      "name": "<string>"
    }
  }
}

200 Published config now serving as live.

FieldTypeDescription
config_idrequiredstringPublished config row ID that is now live.
version_numberrequiredinteger<int32>Account-local published config version number.
validationrequiredobject

400 Invalid request or blocking config validation failure.

FieldTypeDescription
errorrequiredstring

401 Unauthorized.

FieldTypeDescription
errorrequiredstring

403 Forbidden.

FieldTypeDescription
errorrequiredstring

404 Draft config not found.

FieldTypeDescription
errorrequiredstring

500 Internal server error.

FieldTypeDescription
errorrequiredstring